# Uses of Interface
org.apache.solr.client.solrj.request.CollectionAdminRequest.RoutedAliasAdminRequest

Packages that use CollectionAdminRequest.RoutedAliasAdminRequest
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of CollectionAdminRequest.RoutedAliasAdminRequest in org.apache.solr.client.solrj.request

Classes in org.apache.solr.client.solrj.request that implement CollectionAdminRequest.RoutedAliasAdminRequest
Modifier and Type
Class
Description
`static class`
`CollectionAdminRequest.CreateCategoryRoutedAlias`
`static class`
`CollectionAdminRequest.CreateTimeRoutedAlias`
`static class`
`CollectionAdminRequest.DimensionalRoutedAlias`
Methods in org.apache.solr.client.solrj.request with parameters of type CollectionAdminRequest.RoutedAliasAdminRequest
Modifier and Type
Method
Description
`static CollectionAdminRequest.DimensionalRoutedAlias`
CollectionAdminRequest.`createDimensionalRoutedAlias(String aliasName, CollectionAdminRequest.Create createCollTemplate, CollectionAdminRequest.RoutedAliasAdminRequest... dims)`
Create a Dimensional Routed alias from two or more routed alias types.
Constructors in org.apache.solr.client.solrj.request with parameters of type CollectionAdminRequest.RoutedAliasAdminRequest
Modifier
Constructor
Description
``
`DimensionalRoutedAlias(String aliasName, CollectionAdminRequest.Create createCollTemplate, CollectionAdminRequest.RoutedAliasAdminRequest... dims)`